<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bCentro,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>
    <%String codigo	;
      codigo = request.getParameter("Codigo");
      if  ((codigo==null) || (codigo.equals("0")) || (codigo.equals("")) ) 
      { codigo="";}
    %>



<HTML>
<head>
		<title><%= resTit.getString("titMtoCentros")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_CENTROS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelCentros")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_CENTROS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoCentros")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formCentros" METHOD="POST">
					<%
					String sql = "", mensaje="";
					String  accion, descripcion="",descripcionEu="";

					mensaje = request.getParameter("Mensaje");
					
					m05bCentro centro = null;
					if ( ((codigo==null) || (codigo.equals("0")) || (codigo.equals("")) ) 
								&& (!(mensaje.equals("Existe"))) ){
						codigo= "";
						accion=m05bConstantes.ACC_INSERTAR;
						session.removeAttribute("m05bCentro");
					}
					else  {
						accion=m05bConstantes.ACC_ACTUALIZAR;
						centro = (m05bCentro)session.getAttribute("m05bCentro");
						descripcion= centro.getCtr_descripcion();
						if (descripcion == null)
							descripcion = "";
						descripcionEu=centro.getCtr_descripcionEu();
						if (descripcionEu == null)
							descripcionEu = "";
					}
					
					PrintWriter outMsg= response.getWriter();
					if (mensaje.equals(m05bConstantes.MSG_OK)) {
					    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
					}
					else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
						accion=m05bConstantes.ACC_INSERTAR;
					    outMsg.println("<script>alert(dameAlerta(idioma, 24));</script>");
					}
					outMsg.close();

					if (centro == null){
						centro = new m05bCentro();
						session.setAttribute("m05bCentro",centro);
					}

					%>
					  <TABLE class="general">
					    <tr> 
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
					  <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
					      <p>  <label  class="inputFieldTitle"><%= res.getString("etCodigo")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="33" maxlength="3"/> </p>
					  <% } 
					  	else  { %>
					      <p>   <label  class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="33" maxlength="3"/> </p>
					      <%  }  %>
				      <p><label  valign="top" class="inputFieldTitle"><%= res.getString("etDescripcion")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=descripcion%>" size="85" maxlength="100"/> </p>
					    <p> <label  class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=descripcionEu%>" size="85" maxlength="100"/> </p>
					    
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<script language="JavaScript">
    function fncGrabar(codigo,accion) {
	 		var docu = document.formCentros;
	 		
	 		if(docu.Codigo.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Codigo.focus();
				return;
			}
	 		if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Codigo.focus();
				return;
			}
			if(docu.Descripcion.value=="" ||docu.DescripcionEu.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Descripcion.focus();
				return;
			}
			if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')
					||existeCaracter(docu.DescripcionEu.value,"\'")||existeCaracter(docu.DescripcionEu.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Descripcion.focus();
				return;
			}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
		document.formCentros.action="m05bGrabarCentroServlet?Codigo=" + codigo + "&Accion=" + accion;
		document.formCentros.submit();
	}

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>